Skip to main content
Update a simulation board
curl --request PATCH \
  --url https://api.ionworks.com/projects/{project_id}/studies/{study_id}/simulation_boards/{board_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "config": {},
  "table_filter": {},
  "column_visibility": {}
}
'
{
  "name": "<string>",
  "template_id": "<string>",
  "project_id": "<string>",
  "organization_id": "<string>",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "study_id": "<string>",
  "config": {},
  "table_filter": {},
  "column_visibility": {}
}

Path Parameters

project_id
string
required
study_id
string
required
board_id
string
required

Body

application/json
name
string | null

The new name of the board.

config
Config · object

Updated visualization config.

table_filter
Table Filter · object

Updated DataGrid filter model.

column_visibility
Column Visibility · object

Updated DataGrid column visibility model.

Response

Successful Response

name
string
required

The name of the simulation board.

template_id
string
required

The experiment template this board is bound to.

project_id
string
required

The project this simulation board belongs to.

organization_id
string
required

Organization this simulation board belongs to.

id
string
required

The unique identifier for the board.

created_at
string<date-time>
required

Timestamp of when the board was created.

study_id
string | null

The study this simulation board belongs to, if any.

config
Config · object

Visualization config (plots and grid layout).

table_filter
Table Filter · object

Persisted MUI DataGrid filter model for this board.

column_visibility
Column Visibility · object

Persisted MUI DataGrid column visibility model for this board.